//
//  NewFlowerViewController.m
//  NewFlower
//
//  Created by kunii on 09/12/23.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "NewFlowerViewController.h"

@implementation NewFlowerViewController



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	[[NSNotificationCenter defaultCenter] addObserver:self
		selector:@selector(keyboardWasShown:)
		name:UIKeyboardDidShowNotification object:nil];
	[[NSNotificationCenter defaultCenter]addObserver:self
		selector:@selector(keyboardWasHidden:)
		name:UIKeyboardDidHideNotification object:nil];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

- (void)keyboardWasShown:(NSNotification*)aNotification { 
	NSDictionary* info = [aNotification userInfo];
	//	キーボードのサイズを取得する
	NSValue* aValue = [info objectForKey:UIKeyboardBoundsUserInfoKey];
	double bottomBounds = self.view.bounds.size.height - [aValue CGRectValue].size.height;
	//	commentViewの親ビュー上の座標を取り出し保存。
	savedFrame = [commentView frame];
	//	最上部に移動。
	CGRect viewFrame = savedFrame;
	viewFrame.origin.y = navigationBar.bounds.size.height;
	//	移動した矩形の下部がキーボードに隠されないよう調整。
	if ((viewFrame.origin.y + viewFrame.size.height) > bottomBounds)
		viewFrame.size.height = bottomBounds - viewFrame.origin.y;
	//	新しい矩形を設定。
	commentView.frame = viewFrame;
	//	テキスト入力完了通知用ボタンを用意。
	UIBarButtonItem *doneButton = 
		[[UIBarButtonItem alloc] initWithTitle:@"入力完了" 
		style:UIBarButtonItemStyleDone target:self action:@selector(commentDone:)];
	UINavigationItem* item = [navigationBar.items objectAtIndex:0];
	item.rightBarButtonItem = doneButton;
	[doneButton release];
 }

- (void)keyboardWasHidden:(NSNotification*)aNotification { 
	//	commentViewの親ビュー上の座標を保存した矩形に戻す。
	commentView.frame = savedFrame;
} 

-(void)commentDone:(id)sender {
	[commentView resignFirstResponder];
	UINavigationItem* item = [navigationBar.items objectAtIndex:0];
	item.rightBarButtonItem = nil;
}

- (IBAction)dismissAction:(id)sender
{
	[self.parentViewController dismissModalViewControllerAnimated:YES];
}

@end
